Canvas5ImageInternal::VKFLImage Struct Reference documentation

Canvas5ImageInternal::VKFLImage Struct Reference

Internal: the internal image of a Canvas5Image. More...

## Public Member Functions
| VKFLImage ()
| constructor

## Public Attributes
MWAWEntry | m_data [2]
| the data entry
std::vector< VKFLShape > | m_shapes
| the list of shape
MWAWBox2f | m_boxes [2]
| the dimensions
std::array< double, 9 > | m_matrices [2]
| the transformations
std::map< long, std::pair< unsigned, unsigned > > | m_posToTypesMap
| the map pos to type and sub type
std::map< long, MWAWGraphicStyle::Arrow > | m_posToArrowMap
| the position to arrow map
std::map< long, std::shared_ptr< Canvas5StyleManagerInternal::ColorStyle > > | m_posToColorMap
| the position to color map
std::map< long, std::vector< float > > | m_posToDashMap
| the position to dash map
std::map< long, std::array< double, 9 > > | m_posToMatrixMap
| the position to matrix map
std::map< long, std::shared_ptr< Canvas5StyleManagerInternal::PenStyle > > | m_posToPenMap
| the position to pen map
std::map< long, Stroke > | m_posToStrokeMap
| the position to stroke map

## Detailed Description

Internal: the internal image of a Canvas5Image.

## Constructor & Destructor Documentation

## ◆ VKFLImage()

Canvas5ImageInternal::VKFLImage::VKFLImage | ( |  | ) |
| inline

constructor

## Member Data Documentation

## ◆ m_boxes

MWAWBox2f Canvas5ImageInternal::VKFLImage::m_boxes[2]

the dimensions

Referenced by VKFLImage().

## ◆ m_data

MWAWEntry Canvas5ImageInternal::VKFLImage::m_data[2]

the data entry

Referenced by Canvas5Image::readVKFLShape(), Canvas5Image::readVKFLShapeMainData(), Canvas5Image::readVKFLShapeOtherData(), and VKFLImage().

## ◆ m_matrices

std::array<double, 9> Canvas5ImageInternal::VKFLImage::m_matrices[2]

the transformations

Referenced by VKFLImage().

## ◆ m_posToArrowMap

std::map<long, MWAWGraphicStyle::Arrow> Canvas5ImageInternal::VKFLImage::m_posToArrowMap

the position to arrow map

Referenced by Canvas5Image::readVKFLShapeOtherData(), Canvas5Image::send(), and VKFLImage().

## ◆ m_posToColorMap

std::map<long, std::shared_ptr<Canvas5StyleManagerInternal::ColorStyle> > Canvas5ImageInternal::VKFLImage::m_posToColorMap

the position to color map

Referenced by Canvas5Image::readVKFLShapeOtherData(), Canvas5Image::send(), and VKFLImage().

## ◆ m_posToDashMap

std::map<long, std::vector<float> > Canvas5ImageInternal::VKFLImage::m_posToDashMap

the position to dash map

Referenced by Canvas5Image::readVKFLShapeOtherData(), Canvas5Image::send(), and VKFLImage().

## ◆ m_posToMatrixMap

std::map<long, std::array<double, 9> > Canvas5ImageInternal::VKFLImage::m_posToMatrixMap

the position to matrix map

Referenced by Canvas5Image::readVKFLShapeOtherData(), Canvas5Image::send(), and VKFLImage().

## ◆ m_posToPenMap

std::map<long, std::shared_ptr<Canvas5StyleManagerInternal::PenStyle> > Canvas5ImageInternal::VKFLImage::m_posToPenMap

the position to pen map

Referenced by Canvas5Image::readVKFLShapeOtherData(), Canvas5Image::send(), and VKFLImage().

## ◆ m_posToStrokeMap

std::map<long, Stroke> Canvas5ImageInternal::VKFLImage::m_posToStrokeMap

the position to stroke map

Referenced by Canvas5Image::readVKFLShapeOtherData(), Canvas5Image::send(), and VKFLImage().

## ◆ m_posToTypesMap

std::map<long, std::pair<unsigned, unsigned> > Canvas5ImageInternal::VKFLImage::m_posToTypesMap

the map pos to type and sub type

Referenced by VKFLImage().

## ◆ m_shapes

std::vector<VKFLShape> Canvas5ImageInternal::VKFLImage::m_shapes

the list of shape

Referenced by Canvas5Image::readVKFLShape(), Canvas5Image::readVKFLShapeMainData(), Canvas5Image::send(), and VKFLImage().

The documentation for this struct was generated from the following file:

- Canvas5Image.cxx